Bug 258000 - audio/ncspot: enable desktop notifications
Summary: audio/ncspot: enable desktop notifications
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2021-08-23 07:07 UTC by Jan Beich
Modified: 2021-09-12 11:59 UTC (History)
1 user (show)

See Also:


Attachments
v1 (13.26 KB, patch)
2021-08-23 07:07 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2021-08-23 07:07:54 UTC
Created attachment 227375 [details]
v1

Backport a few zbus commits then pass --features=notify.

Disclaimer: I don't use this port, so tested zbus standalone via "cargo test" and ports a15225b4441f.
Comment 1 Jan Beich freebsd_committer 2021-08-28 14:06:41 UTC
Ping.
Comment 2 commit-hook freebsd_committer 2021-09-12 11:59:37 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=ca67a20f93e10ece67d1c4d8af9746fadf0b5e93

commit ca67a20f93e10ece67d1c4d8af9746fadf0b5e93
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2021-08-23 06:49:54 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2021-09-12 11:56:28 +0000

    audio/ncspot: enable desktop notifications

    PR:             258000
    Inspired by:    upstream default
    Approved by:    maintainer timeout (3 weeks)

 audio/ncspot/Makefile               |  10 +-
 audio/ncspot/distinfo               |   4 +-
 audio/ncspot/files/patch-zbus (new) | 226 ++++++++++++++++++++++++++++++++++++
 3 files changed, 234 insertions(+), 6 deletions(-)